<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class MarketingDiscountStatusEnum
{
    public const STATUS_CREATED = 1;
    public const STATUS_SENT = 2;
    public const STATUS_ON_CHECKING = 3;
    public const STATUS_ACTIVE = 4;
    public const STATUS_REJECTED = 5;
    public const STATUS_PAUSED = 6;
    public const STATUS_EXPIRED = 7;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::STATUS_CREATED,
            self::STATUS_SENT,
            self::STATUS_ON_CHECKING,
            self::STATUS_ACTIVE,
            self::STATUS_REJECTED,
            self::STATUS_PAUSED,
            self::STATUS_EXPIRED,
        ];
    }
}
